use crate::vm::r#type::DvmType;

#[derive(Debug, Eq)]
pub struct DvmField {
    name: String,
    dvm_type: DvmType,
    index: usize,
}

impl PartialEq for DvmField {
    fn eq(&self, other: &Self) -> bool {
        self.name == other.name
    }
}

impl DvmField {
    pub fn new(name: &str, dvm_type: DvmType, index: usize) -> Self {
        DvmField {
            name: name.to_string(),
            dvm_type,
            index,
        }
    }

    pub fn name(&self) -> &str {
        &self.name
    }

    pub fn dvm_type(&self) -> &DvmType {
        &self.dvm_type
    }

    pub fn index(&self) -> usize {
        self.index
    }
}
