#[derive(Debug, Eq)]
pub struct DmVirtualMethod {
    fqn: String,
    short_name: String,
}

impl PartialEq for DmVirtualMethod {
    fn eq(&self, other: &Self) -> bool {
        self.fqn == other.fqn
    }
}

impl DmVirtualMethod {
    pub fn new(fqn: &str, short_name: &str) -> Self {
        DmVirtualMethod {
            fqn: fqn.to_string(),
            short_name: short_name.to_string(),
        }
    }

    pub fn fqn(&self) -> &str {
        self.fqn.as_str()
    }

    pub fn short_name(&self) -> &str {
        self.short_name.as_str()
    }
}
